#ifndef DIYAC_SEAT_H
#define DIYAC_SEAT_H
#include "diyac.h"

void diyac_init_seat(struct diyac_server* server);
void diyac_seat_focus_surface(struct diyac_seat *seat, struct wlr_surface *surface);
void diyac_seat_focus_lock_surface(struct diyac_seat *seat, struct wlr_surface *surface);
void diyac_seat_focus_layer(struct diyac_seat *seat, struct wlr_layer_surface_v1 *layer);
void diyac_seat_focus_topmost(struct diyac_seat* seat, struct diyac_output* output);

void diyac_seat_configure(struct diyac_server* server);
#endif
